# wxHyperlinkEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/hyperlink.h>`

Inheritance diagram for wxHyperlinkEvent:
[legend]

## Detailed Description

This event class is used for the events generated by wxHyperlinkCtrl.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxHyperlinkEvent& event)

Event macros:

- EVT_HYPERLINK(id, func):
  User clicked on an hyperlink.

##

Library: wxAdvanced
Category: Events

## Public Member Functions

| wxHyperlinkEvent (wxObject *generator, int id, const wxString &url)
| The constructor is not normally used by the user code.
wxString | GetURL () const
| Returns the URL of the hyperlink where the user has just clicked.
void | SetURL (const wxString &url)
| Sets the URL associated with the event.

List of all members.

## Constructor & Destructor Documentation

wxHyperlinkEvent::wxHyperlinkEvent | ( | wxObject * | generator,
|  | int | id,
|  | const wxString & | url |
| ) |  |  |

The constructor is not normally used by the user code.

## Member Function Documentation

wxString wxHyperlinkEvent::GetURL | ( |  | ) | const

Returns the URL of the hyperlink where the user has just clicked.

void wxHyperlinkEvent::SetURL | ( | const wxString & | url | ) |

Sets the URL associated with the event.

|  | [ top ]